package org.colinvella.fancyfish.inventory;

import org.colinvella.fancyfish.item.FishScaleItem;

import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.Slot;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleSlot extends Slot
{
	public FishScaleSlot(IInventory inventory, int index, int xPosition, int yPosition)
	{
		super(inventory, index, xPosition, yPosition);
	}
	
	@Override
	public boolean isItemValid(ItemStack itemStack)
	{
		// only fish scales allowed
		Item item = itemStack.getItem();
		return item instanceof FishScaleItem;
	}

	@Override
	public int getSlotStackLimit()
	{
		return 1;
	}	
}
