package org.colinvella.fancyfish.logger;

import java.io.PrintStream;

import org.colinvella.fancyfish.FancyFishMod;

import org.apache.logging.log4j.Logger;

import net.minecraftforge.fml.common.TracingPrintStream;

public class ModPrintStream extends TracingPrintStream
{
	public ModPrintStream(Logger logger, PrintStream original)
	{
		super(logger, original);
		this.logger = logger;
	}
	
    @Override
    public void println(Object o) {
        logger.info(prefix + o);
    }
    
    @Override
    public void println(String s) {
        logger.info(prefix + s);
    }
        
    private Logger logger;
    private static final String prefix = "[" + FancyFishMod.MOD_ID + "]: ";

}
